%define pypi_name pelican

Name:           pelican
Version:        4.9.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        A tool to generate a static blog from reStructuredText or Markdown input files

License:        AGPLv3
URL:            https://getpelican.com
Source0:        https://pypi.python.org/packages/source/p/pelican/pelican-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel


%description
Pelican is a static site generator, written in Python.
Write your content directly with your editor of choice (vim!) in reStructuredText, Markdown, or AsciiDoc formats
Includes a simple CLI tool to (re)generate your site
Easy to interface with distributed version control systems and web hooks
Completely static output is easy to host anywhere

%package -n     python3-%{pypi_name}
Summary:        A tool to generate a static blog from reStructuredText or Markdown input files
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %{name} < 4.0.1-2

%description -n python3-%{pypi_name}
Pelican is a static site generator, written in Python 3.
Write your content directly with your editor of choice (vim!) in reStructuredText, Markdown, or AsciiDoc formats
Includes a simple CLI tool to (re)generate your site
Easy to interface with distributed version control systems and web hooks
Completely static output is easy to host anywhere


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


find -name '*.py*' -exec sed -i '1s|#!.*python$|#!%{__python3}|' {} +


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pelican

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/pelican
%{_bindir}/pelican-import
%{_bindir}/pelican-quickstart
%{_bindir}/pelican-themes
%{_bindir}/pelican-plugins


%changelog
* Tue Mar 04 2025 wally <wally> 4.9.1-2.mga10
+ Revision: 2160416
- rebuild for python3.13

* Wed Jan 10 2024 papoteur <papoteur> 4.9.1-1.mga10
+ Revision: 2029525
- new version 4.9.1

* Wed Mar 23 2022 umeabot <umeabot> 4.7.2-2.mga9
+ Revision: 1823987
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 4.7.2-1.mga9
+ Revision: 1786266
- version 4.7.2
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 4.2.0-4.mga9
+ Revision: 1732891
- Rebuild for python 3.9

* Mon Jan 11 2021 wally <wally> 4.2.0-3.mga8
+ Revision: 1671149
- provide and obsolete old python2 pkg

* Thu Jul 23 2020 ovitters <ovitters> 4.2.0-2.mga8
+ Revision: 1608251
- rebuild for removing pythonegg buildrequires in srpm

* Mon Apr 20 2020 danf <danf> 4.2.0-1.mga8
+ Revision: 1570008
- Update to ver. 4.2.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 4.0.1-2.mga8
+ Revision: 1452412
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 4.0.1-1.mga7
+ Revision: 1353758
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.6.3-5.mga7
+ Revision: 1281528
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 3.6.3-4.mga7
+ Revision: 1135286
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 3.6.3-3.mga6
+ Revision: 970717
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 3.6.3-2.mga6
+ Revision: 887709
- rebuild for python 3.5

* Thu Sep 10 2015 philippem <philippem> 3.6.3-1.mga6
+ Revision: 875714
- update to 3.6.3

* Sat Jul 25 2015 philippem <philippem> 3.6.0-1.mga6
+ Revision: 857629
- update to 3.6.0

* Wed Oct 15 2014 umeabot <umeabot> 3.4.0-4.mga5
+ Revision: 745640
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.4.0-3.mga5
+ Revision: 727554
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.4.0-2.mga5
+ Revision: 683399
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 philippem <philippem> 3.4.0-1.mga5
+ Revision: 642767
- update to 3.4.0

* Sat May 31 2014 pterjan <pterjan> 3.3-5.mga5
+ Revision: 629704
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 3.3-4.mga5
+ Revision: 628385
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.3-3.mga4
+ Revision: 542815
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.3-2.mga4
+ Revision: 498035
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Oct 06 2013 philippem <philippem> 3.3-1.mga4
+ Revision: 492245
- imported package pelican

